<div *ngIf="messageService.messages.length; else noContent" class="message-wrapper">
    <h2>Messages</h2>
    <button type="button" class="clear btn-danger"
            (click)="messageService.clear()"
    >
            Clear messages
    </button>
    <div *ngFor='let message of messageService.messages'>
         {{message}} 
    </div>
</div>
<ng-template #noContent>
        <div class="message-wrapper">
                <h2>Messages</h2>
        </div>
</ng-template>